Redmine - Defect #7597

Subversion and Mercurial log have the possibility to miss encoding

2011-02-10 07:00 - Toshi MARUYAMA

Status: Closed

Priority: Normal

Assignee: Toshi MARUYAMA
Category: SCM

Target version: 1.2.0

Resolution: Fixed

Start date: 2011-02-10
Due date:

% Done: 0%
Estimated time: 0.00 hour
Affected version: 1.1.0

Description
These are my test repository images.

https://bitbucket.org/marutosi/japanese-fs-utf8
Related issues:

Related to Redmine - Feature #3396: Git: use --encoding=UTF-8 in "git log"

Closed

2009-05-20

Associated revisions

Revision 4961 - 2011-02-28 11:03 - Toshi MARUYAMA
scm: refactor scm log encoding test (#1735, #3396, #7597).

Bazaar log depends on locale.
On Japanese Windows, standard out is CP932.

Revision 4962 - 2011-02-28 13:09 - Toshi MARUYAMA

scm: ignore log encoding setting in Subversion and Mercurial (#7597).

History

#1 - 2011-02-10 07:00 - Toshi MARUYAMA
https://bitbucket.org/marutosi/japanese-fs-utf8

- Category set to SCM

#2 - 2011-02-28 13:10 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 1.2.0

- Resolution set to Fixed

Fixed by r4962.
redmine-log.png 120 KB 2011-02-10 Toshi MARUYAMA
redmine-setting.png 16.5 KB 2011-02-10 Toshi MARUYAMA
